Status: New Start date: 2009-12-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

redmine system should add the approval workflow or permissions for issue timelog.

History

#1 - 2009-12-02 08:07 - li wei

 Timelog_approved.jpg 

#2 - 2009-12-02 11:07 - Matthieu Codron

+1 for approval workflow or something equivalent.

#3 - 2010-01-29 16:28 - Ngewi Fet

Would it not be more appropriate to show the status?

Showing only whether is is approved or not kind of narrows the scope and, I think, usefulness.

#4 - 2010-01-30 14:38 - Ngewi Fet

- File status_column.PNG added

- File timelog_list_status_column.patch added

I have added an image to show the point

 status_column.PNG 

I have also created a patch for this issue against the current trunk.

#5 - 2010-01-30 14:41 - Ngewi Fet

- File timelog_list_status_column.patch added

Updated the patch

#6 - 2010-01-30 17:19 - Ngewi Fet

Forgot to mention that the patch is based on revision r3351

#7 - 2010-02-06 03:12 - Eric Davis

- Priority changed from High to Normal

Ngewi Fet:

I think li wei was asking for an approval workflow for Time Entries.  Like:

Eric logs two new time entries

Bob (Manager) reviews Eric's time entries

Bob approves one but declines the other one because it was logged with the wrong Activity

I personally wouldn't use this and I think it could make things more complex.  If it's added, it should be optional or be done in a plugin.
